Subject: Re: multicast for v2.6.29

From: Timo Teräs <[email-masked]>
Date: Tue, 23 Jun 2009 17:41:19 +0300

Whoops. This was not supposed be sent on the list as-is.

This is more of an RFC, for what I want to do in future. Multicast routing
for NBMA destinations.

The patch is quick hack, and breaks ABI, and not intended for inclusion.
I suppose the multicast routing would need to be updated to Netlink era
before doing this kind of thing. And remove the hard coded limits such
as amount of MFC destinations and that you can have only one multicast
router user space process.

If you have any comments on the patch, they are appreciated.

Thanks,
  Timo